import { DefineComponent, RecordPropsDefinition, ComponentOptions, Vue2type } from '../additionalTypes';
declare type DefaultMethods<V> = {
    [key: string]: (this: V, ...args: any[]) => any;
};
declare type DefaultData<V> = object | ((this: V) => LocalizationProviderData);
import { LocalizationProviderProps } from './LocalizationProviderProps';
export interface LocalizationProviderMethods {
    [key: string]: any;
    getLocalizationService: () => void;
    getChildContext: () => void;
}
export interface LocalizationProviderData {
}
export interface LocalizationProviderAllMethods extends Vue2type, LocalizationProviderMethods {
}
/**
 * A Vue component which provides a localization service.
 * Expects a language string as a property of the component.
 */
declare let LocalizationProviderVue2: ComponentOptions<LocalizationProviderAllMethods, DefaultData<LocalizationProviderData>, DefaultMethods<LocalizationProviderAllMethods>, {}, RecordPropsDefinition<LocalizationProviderProps>>;
declare const LocalizationProvider: DefineComponent<LocalizationProviderProps, any, LocalizationProviderData, {}, LocalizationProviderMethods, {}, {}, {}, string, LocalizationProviderProps, LocalizationProviderProps, {}>;
export { LocalizationProvider, LocalizationProviderVue2 };
