/**
 * A service which provides localization methods.
 */
export declare class LocalizationService {
    private language?;
    constructor(language?: string);
    /**
     * Provides a string based on a key for the current language.
     * When no string for the current language is available under this key,
     * the `defaultValue` is returned.
     *
     * @param key - The key which identifies the string for the current language.
     * @param defaultValue - The default value which will be returned when no string
     * for the current language is available under the key.
     * @return - The string for the current language.
     */
    toLanguageString(key: string, defaultValue: string): string;
}
